io.undertow.protocols.http2

## Class Http2PushPromiseStreamSourceChannel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedStreamSourceChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>
  - - io.undertow.protocols.http2.AbstractHttp2StreamSourceChannel
    - - io.undertow.protocols.http2.Http2PushPromiseStreamSourceChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, InterruptibleChannel, ReadableByteChannel, ScatteringByteChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.StreamSourceChannel, org.xnio.channels.SuspendableReadChannel

    public class Http2PushPromiseStreamSourceChannel
    extends AbstractHttp2StreamSourceChannel

A HTTP2 push promise frame

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAssociatedStreamId()`
`HeaderMap` `getHeaders()`
`int` `getPushedStreamId()`

### Methods inherited from class io.undertow.protocols.http2.AbstractHttp2StreamSourceChannel

`getFramedChannel, getHttp2Channel, handleHeaderData, lastFrame, markStreamBroken`

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedStreamSourceChannel

`addCloseTask, awaitReadable, awaitReadable, channelForciblyClosed, close, complete, dataReady, getCloseSetter, getIoThread, getMaxStreamSize, getOption, getReadFrameCount, getReadSetter, getReadThread, getWorker, isComplete, isLastFrame, isOpen, isReadResumed, processFrameData, read, read, read, resumeReads, setMaxStreamSize, setOption, shutdownReads, supportsOption, suspendReads, transferTo, transferTo, updateFrameDataRemaining, wakeupReads`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getHeaders

    public HeaderMap getHeaders()

#### getPushedStreamId

    public int getPushedStreamId()

#### getAssociatedStreamId

    public int getAssociatedStreamId()